<?php
include($classes_path.'/class.cms.tableGen.php');

if(isset($table)) {
    $_SESSION['table'] = $table;
}
else {
    if(empty($_SESSION['table'])) {
        $_SESSION['table'] = "posts";
    }
}

if(isset($limit)) {
    $_SESSION['limit'] = $limit;
}
else {
    if(empty($_SESSION['limit'])) {
        $_SESSION['limit'] = 20;
    }
}

if(isset($order)) {
    $_SESSION['order'] = $order;
}
else {
    if(empty($_SESSION['order'])) {
        $_SESSION['order'] = "id";
    }
}

if(isset($sort)) {
    $_SESSION['sort'] = $sort;
}
else {
    if(empty($_SESSION['sort'])) {
        $_SESSION['sort'] = "desc";
    }
}

if(isset($draft)) {
    $draft = $draft;
}
else {
    $draft = null;
}

$postGetter = new postTable();
$postGetter->set_page($pageid);
$postGetter->set_id($article);
$postGetter->set_cat($cat);
$postGetter->set_tag($tag);

$setTable = $_SESSION['table'];
$setLimit = $_SESSION['limit'];
$setOrder = $_SESSION['order'];
$setSort = $_SESSION['sort'];

if($setSort == "desc") {
    $sortToggle = 'asc';
}
elseif($setSort == "asc") {
    $sortToggle = 'desc';
}

$tableGen = $postGetter->get_posts($setTable, $draft, $setLimit, $setOrder, $setSort);

switch($table){
    case "posts";
    case "drafts";
?>
<table cellspacing="1">
    <caption>All posts</caption>
    <col class="col1"/>
    <col class="col2"/>
    <col class="col1"/>
    <col class="col2"/>
    <col class="col1"/>
    <thead>
        <tr>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=id&sort=<?php print($sortToggle); ?>">Id</a></th>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=time&sort=<?php print($sortToggle); ?>">Time</a></th>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=title&sort=<?php print($sortToggle); ?>">Title</a></th>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=category&sort=<?php print($sortToggle); ?>">category</a></th>
            <th>Options</th>
        </tr>
    </thead>
    <tbody>
            <?php foreach($tableGen as $table) { ?>
        <tr>
            <td><?php print($table['id']); ?></td>
            <td><?php print($table['time']); ?></td>
            <td><a href="page/2/news/article/<?php print($table['id'].'/'.htmlentities(strtolower(str_replace( " ", "-", $table['title']))).URL_EXTENSION); ?>" title="<?php print($table['title']); ?>"><?php print($table['title']); ?></a></td>
            <td><?php print($table['category']); ?></td>
            <td><a href="page.php?pageid=1&mode=editpost&article=<?php print($table['id']); ?>">Edit</a> | <a href="#">Delete</a></td>
        </tr>
            <?php } ?>
    </tbody>
</table>
<?php
break;

case "users";
?>
<table cellspacing="1">
    <caption>All users</caption>
    <col class="col1"/>
    <col class="col2"/>
    <col class="col1"/>
    <col class="col2"/>
    <col class="col1"/>
    <thead>
        <tr>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=id&sort=<?php print($sortToggle); ?>">Id</a></th>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=username&sort=<?php print($sortToggle); ?>">Username</a></th>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=name&sort=<?php print($sortToggle); ?>">Name</a></th>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=mail&sort=<?php print($sortToggle); ?>">E-Mail</a></th>
            <th>Options</th>
        </tr>
    </thead>
    <tbody>
            <?php foreach($tableGen as $table) { ?>
        <tr>
            <td><?php print($table['id']); ?></td>
            <td><?php print($table['username']); ?></td>
            <td><?php print($table['name']); ?></td>
            <td><?php print($table['mail']); ?></td>
            <td><a href="page.php?pageid=1&mode=edituser&userid=<?php print($table['id']); ?>">Edit</a> | <a href="#">Delete</a></td>
        </tr>
            <?php } ?>
    </tbody>
</table>
<?php
    break;

    case "portfolio";
    ?>
    <table cellspacing="1">
    <caption>All projects</caption>
    <col class="col1"/>
    <col class="col2"/>
    <col class="col1"/>
    <col class="col2"/>
    <col class="col1"/>
    <thead>
        <tr>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=id&sort=<?php print($sortToggle); ?>">Id</a></th>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=catid&sort=<?php print($sortToggle); ?>">Category ID</a></th>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=object&sort=<?php print($sortToggle); ?>">Object type</a></th>
            <th><a href="page.php?pageid=<?php print($pageid); ?>&table=<?php print($table); ?>&order=client&sort=<?php print($sortToggle); ?>">Client name</a></th>
            <th>Options</th>
        </tr>
    </thead>
    <tbody>
            <?php foreach($tableGen as $table) { ?>
        <tr>
            <td><?php print($table['id']); ?></td>
            <td><?php print($table['catid']); ?></td>
            <td><?php print($table['objectType']); ?></td>
            <td><?php print($table['client']); ?></td>
            <td><a href="page.php?pageid=1&mode=editproject&id=<?php print($table['id']); ?>">Edit</a> | <a href="#">Delete</a></td>
        </tr>
            <?php } ?>
    </tbody>
</table>
<?php
    break;
}
?>
